#!/bin/bash

################################################################################
# 	Script for running XOS daemon services 
#
#	Run with commdand: ./xosd_run.sh
#
#	In Support/runscript new files are created: 
#
#	* support_bin_dirs (list of root binaries of all projects)
#	* support_jars (list of jars from Support project)
#	* support_jni (list of directories for JNI libraries support)
#	* XOSdConfig.conf (configuration file, see D3.3.3 deliverable for
#		description; documentation of configuration classes are in
#		Support/Documentation/configGenerator.txt)
#
#	These files are used by xosd_run script to run java class XOSd with
#	XOSdConfig.conf configuration file (if something goes wrong, user can
#	cat these files to see if all paths are correct). 
#
#	It is important that developer has directory structure of projects like
#	on AEM's repository. 
#
#	For any questions/comments please send me an email (ales.cernivec@xlab.si). 
################################################################################

# Please include all extra libraries (JNIs) into subfolders with name "JNI" (does not matter into which project - it finds it recursively).

# Author: ales.cernivec@xlab.si

# This is where the AEM projects reside
#AEM_HOME="/home/ales/eclipse-workspaces/AEM_SSLSupport"
AEM_HOME=`pwd`

# If AEM_HOME is not found or some errors are thrown, you probably do not have right structure of directories. Please, have them organized as they are on repository.


JARS=`find $AEM_HOME -iname "*.jar"`
MAIN_JAR="DIXI.jar"
CPCLASSES_JARS="."
for N in $JARS
do
	CPCLASSES_JARS=$CPCLASSES_JARS":"$N
done

JNIS=`find $AEM_HOME -type d -iname "JNI"`
CPJNIS="."
for N in $JNIS
do
	CPJNIS=$CPJNIS":"$N
done

CPCLASSES=".:./"$MAIN_JAR

java -cp $CPCLASSES:$CPCLASSES_JARS:. -Djava.library.path=$CPJNIS eu.xtreemos.xati.test.XATItest $*
